[arch-commits] Commit in texlive-langextra/repos/extra-any (4 files)

Rémy Oudompheng remy at archlinux.org
Sat Dec 1 19:49:51 UTC 2018


    Date: Saturday, December 1, 2018 @ 19:49:50
  Author: remy
Revision: 340905

archrelease: copy trunk to extra-any

Added:
  texlive-langextra/repos/extra-any/PKGBUILD
    (from rev 340904, texlive-langextra/trunk/PKGBUILD)
  texlive-langextra/repos/extra-any/texlive-langextra.maps
    (from rev 340904, texlive-langextra/trunk/texlive-langextra.maps)
Deleted:
  texlive-langextra/repos/extra-any/PKGBUILD
  texlive-langextra/repos/extra-any/texlive-langextra.maps

------------------------+
 PKGBUILD               |  115 +++++++++++++++++++++++------------------------
 texlive-langextra.maps |   46 +++++++++---------
 2 files changed, 80 insertions(+), 81 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-12-01 19:49:48 UTC (rev 340904)
+++ PKGBUILD	2018-12-01 19:49:50 UTC (rev 340905)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer: Firmicus <firmicus āt gmx dōt net>
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-langextra
-pkgver=2018.48507
-_revnr=${pkgver#2018.}
-pkgrel=1
-pkgdesc="TeX Live - Bundle of all extra language support"
-license=('GPL')
-arch=(any)
-conflicts=('texlive-langafrican' 'texlive-langarab' 'texlive-langarabic'
-           'texlive-langarmenian' 'texlive-langcroatian' 'texlive-langhebrew'
-           'texlive-langindic' 'texlive-langmongolian' 'texlive-langtibetan'
-           'texlive-langvietnamese')
-provides=('texlive-langafrican' 'texlive-langarabic' 'texlive-langarmenian' 
-          'texlive-langarmenian' 'texlive-langcroatian' 'texlive-langhebrew'
-          'texlive-langindic' 'texlive-langmongolian' 'texlive-langtibetan'
-          'texlive-langvietnamese')
-depends=('texlive-latexextra')
-groups=('texlive-lang')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
-options=('!emptydirs')
-sha256sums=('ff80c6eceed1755bc81c84c8d30e7fa491d9037ddebdec8f15319a2adf44a2db'
-            '5f7941ded76d37cf8d6d644edfb206345557905fee38e18ada0b3b98f8a8c0f7')
-
-build() {
-   cd "$srcdir"
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-
-package() {
-   cd "$srcdir"
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-   #remove parts of ethiop that depend on Omega:
-   rm -rf $pkgdir/usr/share/texmf-dist/fonts/{ofm,ovf,ovp}
-   rm -rf $pkgdir/usr/share/texmf-dist/omega
-}

Copied: texlive-langextra/repos/extra-any/PKGBUILD (from rev 340904, texlive-langextra/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-12-01 19:49:50 UTC (rev 340905)
@@ -0,0 +1,57 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langextra
+pkgver=2018.49258
+_revnr=${pkgver#2018.}
+pkgrel=1
+pkgdesc="TeX Live - Bundle of all extra language support"
+license=('GPL')
+arch=(any)
+conflicts=('texlive-langafrican' 'texlive-langarab' 'texlive-langarabic'
+           'texlive-langarmenian' 'texlive-langcroatian' 'texlive-langhebrew'
+           'texlive-langindic' 'texlive-langmongolian' 'texlive-langtibetan'
+           'texlive-langvietnamese')
+provides=('texlive-langafrican' 'texlive-langarabic' 'texlive-langarmenian' 
+          'texlive-langarmenian' 'texlive-langcroatian' 'texlive-langhebrew'
+          'texlive-langindic' 'texlive-langmongolian' 'texlive-langtibetan'
+          'texlive-langvietnamese')
+depends=('texlive-latexextra')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('b0d97b0613ca5471f98612d066fba3cf7b40bf65513fa44c7f4db65aaf68ed0f'
+            '5f7941ded76d37cf8d6d644edfb206345557905fee38e18ada0b3b98f8a8c0f7')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   #remove parts of ethiop that depend on Omega:
+   rm -rf $pkgdir/usr/share/texmf-dist/fonts/{ofm,ovf,ovp}
+   rm -rf $pkgdir/usr/share/texmf-dist/omega
+}

Deleted: texlive-langextra.maps
===================================================================
--- texlive-langextra.maps	2018-12-01 19:49:48 UTC (rev 340904)
+++ texlive-langextra.maps	2018-12-01 19:49:50 UTC (rev 340905)
@@ -1,23 +0,0 @@
-Map arabi.map
-Map arevvn.map
-Map burmese.map
-Map chartervn.map
-Map cjhebrew.map
-Map cmbrightvn.map
-Map concretevn.map
-Map dad.map
-Map grotesqvn.map
-Map nectec.map
-Map nf.map
-Map sipa.map
-Map skt.map
-Map syriac.map
-Map tlwg.map
-Map txttvn.map
-Map urwvn.map
-Map vntopia.map
-MixedMap arabtex.map
-MixedMap dvng.map
-MixedMap ethiop.map
-MixedMap vnrother.map
-MixedMap vnrtext.map

Copied: texlive-langextra/repos/extra-any/texlive-langextra.maps (from rev 340904, texlive-langextra/trunk/texlive-langextra.maps)
===================================================================
--- texlive-langextra.maps	                        (rev 0)
+++ texlive-langextra.maps	2018-12-01 19:49:50 UTC (rev 340905)
@@ -0,0 +1,23 @@
+Map arabi.map
+Map arevvn.map
+Map burmese.map
+Map chartervn.map
+Map cjhebrew.map
+Map cmbrightvn.map
+Map concretevn.map
+Map dad.map
+Map grotesqvn.map
+Map nectec.map
+Map nf.map
+Map sipa.map
+Map skt.map
+Map syriac.map
+Map tlwg.map
+Map txttvn.map
+Map urwvn.map
+Map vntopia.map
+MixedMap arabtex.map
+MixedMap dvng.map
+MixedMap ethiop.map
+MixedMap vnrother.map
+MixedMap vnrtext.map


More information about the arch-commits mailing list